Package com.datecs.fiscalprinter.SDK.model.UserLayerV1

# Enum ReceiptConverterAB.BCType

java.lang.Object
java.lang.Enum<ReceiptConverterAB.BCType>
com.datecs.fiscalprinter.SDK.model.UserLayerV1.ReceiptConverterAB.BCType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<ReceiptConverterAB.BCType>`, `java.lang.constant.Constable`

Enclosing class:
  ReceiptConverterAB

    public static enum ReceiptConverterAB.BCType
    extends java.lang.Enum<ReceiptConverterAB.BCType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `CODE128` |
  `DATAMATRIX` |
  `EAN13` |
  `EAN8` |
  `ITF` |
  `PDF417` |
  `QRCODE` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static ReceiptConverterAB.BCType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static ReceiptConverterAB.BCType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EAN8

    public static final ReceiptConverterAB.BCType EAN8

  - ### EAN13

    public static final ReceiptConverterAB.BCType EAN13

  - ### CODE128

    public static final ReceiptConverterAB.BCType CODE128

  - ### ITF

    public static final ReceiptConverterAB.BCType ITF

  - ### PDF417

    public static final ReceiptConverterAB.BCType PDF417

  - ### QRCODE

    public static final ReceiptConverterAB.BCType QRCODE

  - ### DATAMATRIX

    public static final ReceiptConverterAB.BCType DATAMATRIX

- ## Method Details

  - ### values

    public static ReceiptConverterAB.BCType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ReceiptConverterAB.BCType valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null